Package org.apache.qpid.proton.codec

# Class LongType

java.lang.Object
org.apache.qpid.proton.codec.LongType

All Implemented Interfaces:
  `AMQPType<Long>`, `PrimitiveType<Long>`

public class LongType extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`LongType.LongEncoding`

## Method Summary

Modifier and Type
Method
Description
`Collection<LongType.LongEncoding>`
`getAllEncodings()`
`LongType.LongEncoding`
`getCanonicalEncoding()`
`LongType.LongEncoding`
`getEncoding(long l)`
`LongType.LongEncoding`
`getEncoding(Long val)`
`Class<Long>`
`getTypeClass()`
`void`
`write(long l)`
`final void`
`write(Long val)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getTypeClass

public Class<Long> getTypeClass()

### getEncoding

public LongType.LongEncoding getEncoding(Long val)

### getEncoding

public LongType.LongEncoding getEncoding(long l)

### getCanonicalEncoding

public LongType.LongEncoding getCanonicalEncoding()

### getAllEncodings

public Collection<LongType.LongEncoding> getAllEncodings()

### write

public void write(long l)

### write

public final void write(Long val)

Specified by:
  `write` in interface `AMQPType<T>`